> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of channels

> Retrieve a list of channels that match the specified filter criteria



## OpenAPI

````yaml /api-reference/openapi.json post /channels
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /channels:
    post:
      tags:
        - channel
      summary: Retrieve a list of channels
      description: Retrieve a list of channels that match the specified filter criteria
      operationId: getChannels
      requestBody:
        description: Filter criteria
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetChannelsRequest'
        required: true
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayOfChannel'
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  schemas:
    GetChannelsRequest:
      type: object
      properties:
        filter:
          type: object
          properties:
            marketplaces:
              type: array
              items:
                type: string
            countryCodes:
              type: array
              items:
                type: string
    ArrayOfChannel:
      type: array
      items:
        $ref: '#/components/schemas/Channel'
    Channel:
      type: object
      properties:
        channelId:
          type: string
        merchantId:
          type: string
        marketplace:
          type: string
        countryCode:
          type: string
        displayName:
          type: string
        hasAdvertisingConnected:
          type: boolean
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````